##
##  apache-timedout.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2009 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         apache-timedout
Summary:      Apache Extension: Timed Out
URL:          http://sourceforge.net/projects/modtimedout/
Vendor:       Arturas Moskvinas
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      GPL
Version:      0.1
Release:      20100105

#   list of sources
Source0:      http://switch.dl.sourceforge.net/modtimedout/mod_timedout-%{version}.tar.gz
Source1:      apache-timedout.conf

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, apache, make
PreReq:       OpenPKG, openpkg >= 20060823, apache
AutoReq:      no
AutoReqProv:  no

%description
    This is an Apache module which is checking the free server count and
    when it is lower then defined in configuration it starts searching
    for long running apache request and killing them or just warns about
    plans to do it.

%track
    prog apache-timedout = {
        version   = %{version}
        url       = http://sourceforge.net/projects/modtimedout/files/
        regex     = mod_timedout-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n mod_timedout-%{version}

%build
    #   build module
    %{l_prefix}/sbin/apxs -c mod_timedout.c

%install
    #   install module
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache
    %{l_shtool} install -c -m 755 \
        .libs/mod_timedout.so \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache/mod_timedout.so
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE apache-timedout.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/apache/apache.d/apache-timedout.conf' \
        '%config %{l_prefix}/etc/apache-timedout/*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    #   after upgrade, restart service
    [ $1 -eq 2 ] || exit 0
    eval `%{l_rc} apache status 2>/dev/null`
    [ ".$apache_active" = .yes ] && %{l_rc} apache restart
    exit 0

